Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/IPotvinOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/IPotvinOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/IPotvinOperator.cs	(revision 14712)
@@ -23,4 +23,5 @@
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("3348DA03-00BD-45A4-A4CB-CE1C52D38270")]
   public interface IPotvinOperator :
     ISingleDepotOperator, IHomogenousCapacitatedOperator, ITimeWindowedOperator,
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/IPotvinCustomerRelocationMoveOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/IPotvinCustomerRelocationMoveOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/IPotvinCustomerRelocationMoveOperator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("2B1FAABB-64B8-4F8D-818B-1EDAC7DBE50E")]
   public interface IPotvinCustomerRelocationMoveOperator : IVRPMoveOperator {
     ILookupParameter<PotvinCustomerRelocationMove> CustomerRelocationMoveParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/IPotvinPDExchangeMoveOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/IPotvinPDExchangeMoveOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/IPotvinPDExchangeMoveOperator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("D2A916E3-2437-449E-8137-9B86BDC69C9F")]
   public interface IPotvinPDExchangeMoveOperator : IVRPMoveOperator {
     ILookupParameter<PotvinPDExchangeMove> PDExchangeMoveParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/IPotvinPDRearrangeMoveOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/IPotvinPDRearrangeMoveOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/IPotvinPDRearrangeMoveOperator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("E3993722-7001-43B7-A3C0-FDF522A9B9EF")]
   public interface IPotvinPDRearrangeMoveOperator : IVRPMoveOperator {
     ILookupParameter<PotvinPDRearrangeMove> PDRearrangeMoveParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/IPotvinPDShiftMoveOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/IPotvinPDShiftMoveOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/IPotvinPDShiftMoveOperator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("92A625F7-ABEA-4967-AEC9-4FE38F597A71")]
   public interface IPotvinPDShiftMoveOperator : IVRPMoveOperator {
     ILookupParameter<PotvinPDShiftMove> PDShiftMoveParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/IPotvinTwoOptStarMoveOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/IPotvinTwoOptStarMoveOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/IPotvinTwoOptStarMoveOperator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("D4281059-03DF-4DBF-AD06-4F79B22EB7EF")]
   public interface IPotvinTwoOptStarMoveOperator : IVRPMoveOperator {
     ILookupParameter<PotvinTwoOptStarMove> TwoOptStarMoveParameter { get; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/IPotvinVehicleAssignmentMoveOperator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/IPotvinVehicleAssignmentMoveOperator.cs	(revision 14711)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/IPotvinVehicleAssignmentMoveOperator.cs	(revision 14712)
@@ -24,4 +24,5 @@
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("104B1A72-4B0A-4DBF-9142-02AA05EE9258")]
   public interface IPotvinVehicleAssignmentMoveOperator : IVRPMoveOperator {
     ILookupParameter<PotvinVehicleAssignmentMove> VehicleAssignmentMoveParameter { get; }
